package com.yihu.wlyy.entity;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 手机短信信息对象
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_sms")
public class SMS extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1438212901585781994L;

	// 手机号
	private String mobile;
	// ip地址
	private String ip;
	// 消息类型：1微信端注册，2微信端找回密码，3医生端找回密码，4患者登录，5医生登录
	private Integer type;
	// 验证码
	private String captcha;
	// 消息内容
	private String content;
	// 过期时间
	private Date deadline;
	// 状态，0未发送，1已发送
	private Integer status;
	private Date czrq;

	public SMS() {

	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getCaptcha() {
		return captcha;
	}

	public void setCaptcha(String captcha) {
		this.captcha = captcha;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Date getDeadline() {
		return deadline;
	}

	public void setDeadline(Date deadline) {
		this.deadline = deadline;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
