package com.yihu.wlyy.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 版本号表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_version")
public class Versions extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7549164317186300400L;

	// 版本编码
	private String code;
	// 版本名称
	private String name;
	// 数字版本号
	private Double versionInt;
	// 字符串版本号
	private String versionStr;
	// 更新链接地址
	private String url;
	// 版本信息描述
	private String info;
	// 版本包大小，单位M
	private Double size;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(name = "version_int")
	public Double getVersionInt() {
		return versionInt;
	}

	public void setVersionInt(Double versionInt) {
		this.versionInt = versionInt;
	}

	@Column(name = "version_str")
	public String getVersionStr() {
		return versionStr;
	}

	public void setVersionStr(String versionStr) {
		this.versionStr = versionStr;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getInfo() {
		return info;
	}

	public void setInfo(String info) {
		this.info = info;
	}

	public Double getSize() {
		return size;
	}

	public void setSize(Double size) {
		this.size = size;
	}

}
