/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.doctor.DoctorScheduling;

public interface DoctorSchedulingDao extends PagingAndSortingRepository<DoctorScheduling, Long> {

	// 查询三师团队视频预约排班设置
	@Query("select a from DoctorScheduling a where a.doctor = ?1 and a.type = 1 and a.del = '1'")
	Iterable<DoctorScheduling> findByTeam(String team);
}
