/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.follow.FollowUpPlanRemind;

public interface FollowUpPlanRemindDao extends PagingAndSortingRepository<FollowUpPlanRemind, Long>, JpaSpecificationExecutor<FollowUpPlanRemind> {

	@Modifying
	@Query("update FollowUpPlanRemind a set a.read = 0 where a.id = ?1")
	int updateRead(long id);

}
