package com.yihu.wlyy.repository;

import com.yihu.wlyy.entity.doctor.team.admin.AdminTeamMember;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * 行政团队成员DAO。
 *
 * @author Sand
 */
public interface DrAdminTeamMemberDao extends
        PagingAndSortingRepository<AdminTeamMember, Long>,
        JpaSpecificationExecutor<AdminTeamMember> {

    AdminTeamMember findByTeamIdAndDoctorIdOrderByDoctorIdAsc(long teamId, long doctorId);

    List<AdminTeamMember> findByTeamId(long teamId);
}
