/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.follow.FollowUpTemplateQuestionOption;

public interface FollowUpTemplateQuestionOptionDao extends PagingAndSortingRepository<FollowUpTemplateQuestionOption, Long>, JpaSpecificationExecutor<FollowUpTemplateQuestionOption> {
	@Modifying
	@Query("delete from FollowUpTemplateQuestionOption a where a.template = ?1")
	int deleteByTemplate(String template);
}
