/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.HospitalDept;
import com.yihu.wlyy.entity.address.Province;

public interface HospitalDeptDao extends PagingAndSortingRepository<Province, Long> {
	// 根據CODE查詢科室名称
	@Query("select p from HospitalDept p where p.code = ?1")
	HospitalDept findByCode(String code);
}
