/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.Job;
import com.yihu.wlyy.entity.address.Province;

public interface JobDao extends PagingAndSortingRepository<Province, Long> {
	// 根據CODE查詢职称名
	@Query("select p from Job p where p.code = ?1")
	Job findByCode(String code);
}
